ViewVC Help
View File | Revision Log | Show Annotations | View Changeset | Root Listing
root/REPOS_ERICCA/magicsld/CLProp.vb
(Generate patch)

Comparing magicsld/CLProp.vb (file contents):
Revision 40 by bournival, Mon Aug 20 21:30:28 2007 UTC vs.
Revision 205 by bournival, Thu Jul 23 20:53:57 2009 UTC

# Line 1 | Line 1
1 < Imports SldWorks
2 < Imports SWPublished
3 < Imports SwConst
1 > Imports SolidWorks.Interop
2 > Imports SolidWorks.Interop.swconst
3 > Imports SolidWorks.Interop.swpublished
4  
5   ' la classe des propriétés
6  
# Line 9 | Line 9 | Namespace ConditionsAuxLimites
9          Dim iSwApp As SldWorks.SldWorks
10          Dim userAddin As MAGIC.Magic
11          Dim handler As CLPageHandler
12 <        Dim ppage As PropertyManagerPage2
12 >        Dim ppage As sldworks.PropertyManagerPage2
13  
14   #Region "Property Manager Page Controls"
15          'Groupes
16 <        Dim group1 As PropertyManagerPageGroup
16 >        Dim group1 As sldworks.PropertyManagerPageGroup
17          'Dim group2 As PropertyManagerPageGroup
18  
19          ''Controles
20          'Dim checkbox1 As PropertyManagerPageCheckbox
21 <        Dim BoutonSousJascent As PropertyManagerPageButton
22 <        Dim checkbox2 As PropertyManagerPageCheckbox
23 <        Dim selection1 As PropertyManagerPageSelectionbox
24 <        Dim combo1 As PropertyManagerPageCombobox
25 <        Dim Numberbox1 As PropertyManagerPageNumberbox
26 <        Dim DessinerCheck As PropertyManagerPageCheckbox
27 <
21 >        Dim BoutonSousJascent As sldworks.PropertyManagerPageButton
22 >        Dim checkbox2 As sldworks.PropertyManagerPageCheckbox
23 >        Dim selection1 As sldworks.PropertyManagerPageSelectionbox
24 >        Dim combo1 As sldworks.PropertyManagerPageCombobox
25 >        Dim Numberbox1 As sldworks.PropertyManagerPageNumberbox
26 >        Dim DessinerCheck As sldworks.PropertyManagerPageCheckbox
27  
28  
29   #End Region
# Line 99 | Line 98 | Namespace ConditionsAuxLimites
98              combo1 = group1.AddControl(4, controlType, "Type de conditions", leftAlign, options, " Choix du type de condition à appliquer à (aux) entité(s) sélectionnée(s)")
99              If Not combo1 Is Nothing Then
100                  combo1.Height = 600
101 <                Dim items() As String = New String() {"Da, Bloquer les translations", "Dx, Bloquer les translations en X", "Dy, Bloquer les translations en Y", "Dz, Bloquer les translations en Z", "Fx, Force en X", "Fy, Force en Y", "Fz, Force en Z", "Px, Pression en X", "Py, Pression en Y", "Pz, Pression en Z", "Pn, Pression normale"}
101 >                Dim items() As String = New String() {"Da, Fixer tout", "Dx, Bloquer les translations en X", "Dy, Bloquer les translations en Y", "Dz, Bloquer les translations en Z", "Fx, Force en X", "Fy, Force en Y", "Fz, Force en Z", "Px, Pression en X", "Py, Pression en Y", "Pz, Pression en Z", "Pn, Pression normale", "Rx, Rotation en X", "Ry, Rotation en Y", "Rz, Rotation en Z", "RA, Rotation dans tous les axes", "Mx, Moment en X", "My, Moment en Y", "Mz, Moment en Z"}
102                  combo1.Style = swPropMgrPageComboBoxStyle_e.swPropMgrPageComboBoxStyle_EditableText
103                  combo1.AddItems(items)
104              End If

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines